( cd usr/bin ; rm -rf xulrunner )
( cd usr/bin ; ln -sf /usr/lib/xulrunner-1.9.1.3/xulrunner xulrunner )
( cd usr/lib/pkgconfig ; rm -rf xulrunner-plugin.pc )
( cd usr/lib/pkgconfig ; ln -sf mozilla-plugin.pc xulrunner-plugin.pc )
( cd usr/lib/xulrunner-devel-1.9.1.3 ; rm -rf bin )
( cd usr/lib/xulrunner-devel-1.9.1.3 ; ln -sf /usr/lib/xulrunner-1.9.1.3 bin )
( cd usr/lib/xulrunner-devel-1.9.1.3/sdk ; rm -rf include )
( cd usr/lib/xulrunner-devel-1.9.1.3/sdk ; ln -sf /usr/include/xulrunner-1.9.1.3/stable include )
( cd usr/lib/xulrunner-devel-1.9.1.3/sdk ; rm -rf idl )
( cd usr/lib/xulrunner-devel-1.9.1.3/sdk ; ln -sf /usr/share/idl/xulrunner-1.9.1.3/stable idl )
( cd usr/lib/xulrunner-devel-1.9.1.3 ; rm -rf lib )
( cd usr/lib/xulrunner-devel-1.9.1.3 ; ln -sf /usr/lib/xulrunner-devel-1.9.1.3/sdk/lib lib )
( cd usr/lib/xulrunner-devel-1.9.1.3 ; rm -rf include )
( cd usr/lib/xulrunner-devel-1.9.1.3 ; ln -sf /usr/include/xulrunner-1.9.1.3/unstable include )
( cd usr/lib/xulrunner-devel-1.9.1.3 ; rm -rf idl )
( cd usr/lib/xulrunner-devel-1.9.1.3 ; ln -sf /usr/share/idl/xulrunner-1.9.1.3/unstable idl )

# Clean up previous softlinks
if [ -r usr/lib/xulrunner ]; then
  chroot . rm -rf usr/lib/xulrunner ;
fi;
if [ -r usr/lib/xulrunner-devel ]; then
  chroot . rm -rf usr/lib/xulrunner-devel ;
fi;

# Make our softlinks
if [ -d usr/lib/xulrunner-1.9.1.3 ]; then
  (cd usr/lib ; ln -sf xulrunner-1.9.1.3 xulrunner );
fi;
if [ -d usr/lib/xulrunner-devel-1.9.1.3 ]; then
  (cd usr/lib ; ln -sf xulrunner-devel-1.9.1.3 xulrunner-devel );
fi;

# Set up java plugins for xulrunner if java installed
if [ ! -h usr/lib/mozilla/plugins/libjavaplugin_oji.so ]; then
  if [ -e usr/lib/java/plugin/i386/ns7/libjavaplugin_oji.so ]; then
    mkdir -p usr/lib/mozilla/plugins ;
    ( cd usr/lib/mozilla/plugins ; ln -sf /usr/lib/java/plugin/i386/ns7/libjavaplugin_oji.so libjavaplugin_oji.so )
  elif [ -e usr/lib/java/jre/plugin/i386/ns7/libjavaplugin_oji.so ]; then
    ( cd usr/lib/mozilla/plugins ; ln -sf /usr/lib/java/jre/plugin/i386/ns7/libjavaplugin_oji.so libjavaplugin_oji.so )
  fi
fi

# Add xulrunner to ld.so.conf
if grep "xulrunner" etc/ld.so.conf 1> /dev/null 2> /dev/null ; then
  true
else
  echo "/usr/lib/xulrunner" >> etc/ld.so.conf
fi
ldconfig -r . 
